| eMD IIM4265x Driver API 1.0.0

Files | Data Structures | Enumerations | Functions
Ixm42xxx driver transport

Low-level Ixm42xxx register access. More...

## Files
file | Ixm42xxxTransport.h

## Data Structures
struct | inv_ixm42xxx_serif
| basesensor serial interface More...
struct | inv_ixm42xxx_transport
| transport interface More...

## Enumerations
enum | IXM42XXX_SERIAL_IF_TYPE_t { IXM42XXX_UI_I2C, IXM42XXX_UI_SPI4, IXM42XXX_UI_I3C, IXM42XXX_AUX1_SPI3, IXM42XXX_AUX2_SPI3 }
| enumeration of serial interfaces available on ixm42xxx More...

## Functions
int | inv_ixm42xxx_init_transport (struct inv_ixm42xxx *s)
| Init cache variable. More...
int | inv_ixm42xxx_read_reg (struct inv_ixm42xxx *s, uint8_t reg, uint32_t len, uint8_t *buf)
| Reads data from a register on Ixm42xxx. More...
int | inv_ixm42xxx_write_reg (struct inv_ixm42xxx *s, uint8_t reg, uint32_t len, const uint8_t *buf)
| Writes data to a register on Ixm42xxx. More...

## Detailed Description

Low-level Ixm42xxx register access.

## Enumeration Type Documentation

## ◆ IXM42XXX_SERIAL_IF_TYPE_t

enum IXM42XXX_SERIAL_IF_TYPE_t

enumeration of serial interfaces available on ixm42xxx

Enumerator
IXM42XXX_UI_I2C |
IXM42XXX_UI_SPI4 |
IXM42XXX_UI_I3C |
IXM42XXX_AUX1_SPI3 |
IXM42XXX_AUX2_SPI3 |

Definition at line 49 of file Ixm42xxxTransport.h.

## Function Documentation

## ◆ inv_ixm42xxx_init_transport()

int inv_ixm42xxx_init_transport | ( | struct inv_ixm42xxx * | s | ) |

Init cache variable.

Returns
  0 in case of success, -1 for any error

Definition at line 35 of file Ixm42xxxTransport.c.

Here is the caller graph for this function:

## ◆ inv_ixm42xxx_read_reg()

int inv_ixm42xxx_read_reg | ( | struct inv_ixm42xxx * | s,
|  | uint8_t | reg,
|  | uint32_t | len,
|  | uint8_t * | buf
| ) |  |

Reads data from a register on Ixm42xxx.

Parameters

  [in] | reg | register address to be read
  [in] | len | number of byte to be read
  [out] | buf | output data from the register

Returns
  0 in case of success, -1 for any error

Definition at line 54 of file Ixm42xxxTransport.c.

## ◆ inv_ixm42xxx_write_reg()

int inv_ixm42xxx_write_reg | ( | struct inv_ixm42xxx * | s,
|  | uint8_t | reg,
|  | uint32_t | len,
|  | const uint8_t * | buf
| ) |  |

Writes data to a register on Ixm42xxx.

Parameters

  [in] | reg | register address to be written
  [in] | len | number of byte to be written
  [in] | buf | input data to write

Returns
  0 in case of success, -1 for any error

Definition at line 86 of file Ixm42xxxTransport.c.

Here is the caller graph for this function: